Subject: Re: bug#15260: cannot build in a directory with non-ascii characters

From: Kenichi Handa <[email-masked]>
Date: Fri, 01 Nov 2013 22:58:08 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> >   emacs = EMACSLOADPATH="$(abs_lisp)" LC_ALL=C "$(EMACS)" $(EMACSOPT)
> >                                       ^^^^^^^^

> > Does anyone know or remember why we set LC_ALL=C while running
> > commands in lisp/ (and the same in leim/)?

> IIRC the issue was to avoid things like misdetecting coding-systems
> because of the user's locale setting, in the files we load/compile.

As far as I remember, yes.

> IOW, it was to work around bugs (e.g. missing coding: cookie) and is
> likely unneeded nowadays.

I agree.

---
Kenichi Handa
[email-masked]